Skip to content

List all reviews

Request

OAuth 2.0 scope:
  • okta.governance.accessCertifications.read
Admin roles:
  • ACCESS_CERTIFICATIONS_ADMIN

Lists reviews in your org:

  • Reviews exist only for campaigns that have been launched with a status of ACTIVE or COMPLETED.
  • If a review hasn't been reviewed (decision is UNREVIEWED), then the decided property is null.
  • If remediation isn't done on a review, then the remediationStatus property is null.

This operation supports pagination. Use the after and limit query parameters to page through the list, and follow the Link response header to retrieve the next page of results.

Note: Requesting a list of reviews without a filter impacts performance. If your org has a large number of campaigns and reviews, the request might time out or fail. Okta recommends that you list reviews on a per-campaign basis, using the filter query parameter.

Query
filterstring

A filter expression that filters a collection of reviews in the response. The filter expression supports the eq operator and the following properties:

  • campaignId
  • principalId (corresponds to principalProfile.id)
  • reviewerId (corresponds to reviewerProfile.id)
  • decision
  • resourceId
  • reviewerType
  • reviewerLevel (corresponds to currentReviewerLevel)
  • entitlementValueId (corresponds to entitlementValue.id)
  • entitlementBundleId (corresponds to entitlementBundle.id)

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Filter by campaign ID
filter=campaignId eq "icitdyhndQ6qstyvR8g5"
Filter by review decision
filter=decision eq "UNREVIEWED"
Filter by reviewer ID
filter=reviewerId eq "00u5v5viPvg84h0W68g4"
Filter by group resource ID
filter=resourceId eq "00gyqjxNrsh764hjs784"
Filter by app resource ID
filter=resourceId eq "00ayqjxNrZD11n4w40g3"
Filter by principal user ID
filter=principalId eq "00u5v5viPvg84h0W68g4"
Filter by reviewerType
filter=reviewerType eq "USER"
Filter by reviewer level
filter=reviewerLevel eq "FIRST"
Filter by entitlement value ID
filter=entitlementValueId eq "enthzzPJAXvaYQ71T0g3"
Filter by entitlement bundle ID
filter=entitlementBundleId eq "enbisi7xt3iBd39Bn0g3"
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
orderByArray of strings, = 1 items

Specifies a property to sort the results. The following properties are supported:

  • decided
  • decision
  • remediationStatus
  • created

Append desc or asc to indicate the sorting direction.

By default, the results are sorted by created in ascending order (created asc).

Note: Query parameter percent encoding is required. See Percent-encoding.

Default:["created asc"]
Examples:
Order by decided
orderBy=decided desc
Order by decision
orderBy=decision desc
Order by remediationStatus
orderBy=remediationStatus desc
Order by created
orderBy=created desc
GET
/governance/api/v1/reviews
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/reviews?filter=campaignId%20eq%20%22icitdyhndQ6qstyvR8g5%22&after=00u68w6vzKLultXS97g6&limit=20&orderBy=decided%20desc'

Responses

A successful review list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(review-sparse)required

Sparse representation of reviews

Response
The list of reviews that belong to that campaign.
{ "data": [ {} ], "_links": { "self": {}, "next": {} } }